/***************************************************************************
                          toolbar.cpp  -  description
                             -------------------
    begin                : Sun Jul 16 2000
    copyright            : (C) 2000 by Joris Struyve
    email                : j.struyve@village.uunet.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* CVS information :
 *
 * $Id: toolbar.cpp,v 1.3 2000/07/22 21:07:11 js Exp $
 *
 */

#include "k8ktest.h"

/* pixmaps */
#include <exit.xpm>
#include <refresh.xpm>

ToolBar::ToolBar( ApplicationWindow *parent,char *name )
        : QToolBar( parent, name)
{
	QPixmap refreshicon( (const char **)refresh_xpm );
	QPixmap exiticon( (const char **)exit_xpm );
	
	quit       = new QToolButton(exiticon   , "Quit"    ,"Quit application", qApp, SLOT(quit()), this, "quit" );
	refresh    = new QToolButton(refreshicon, "Refresh" ,"Refresh the view", parent, SLOT(Scan()), this, "refresh" );
	this->addSeparator();
}

ToolBar::~ToolBar()
{}
