/***************************************************************************
                          aboutdialog.cpp  -  description
                             -------------------
    begin                : Sun Jul 16 2000
    copyright            : (C) 2000 by Joris Struyve
    email                : j.struyve@village.uunet.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* CVS information :
 *
 * $Id: aboutdialog.cpp,v 1.4 2000/07/23 19:56:33 js Exp $
 *
 */


#include "k8ktest.h"

/* pixmaps */
#include <k8ktest.xpm>

AboutDialog::AboutDialog( QWidget *parent, const char *name )
        : QDialog( parent, name, TRUE)
{
	this->resize(460,290);
	this->setCaption("About K8ktest");
	
	QLabel *logo= new QLabel(this,"label");
	QLabel *version = new QLabel(QString(VERSION),this);
	QLabel *maker = new QLabel(QString("By Joris struyve <j.struyve@village.uunet.be>"),this);
	
	ok = new QPushButton( "Ok", this);
	ok->setDefault(TRUE);
	
	version->setAlignment(AlignHCenter);
	maker->setAlignment(AlignHCenter);
	logo->setAlignment(AlignHCenter);
	
	QPixmap *icon = new QPixmap((const char **)k8ktest_xpm);
	logo->setPixmap(*icon);
	
	logo->setGeometry(0,5,300,150);
	version->setGeometry(5,155,300,20);
	maker->setGeometry(5,180,300,20);
	ok->setGeometry(100,205,100,25);
	
	this->resize(300,235);
	connect( ok, SIGNAL(clicked()), SLOT(accept()) );
}

AboutDialog::~AboutDialog()
{}

void AboutDialog::resizeEvent(QResizeEvent * r_event)
{
	QDialog::resizeEvent(r_event);
	this->setMaximumSize(this->size());
	this->setMinimumSize(this->size());
}
